<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.barang tr:even").addClass("stripe1");
        $("#theList.barang tr:odd").addClass("stripe2");

        $("#theList.barang tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function pilih(ID){
		var kode = ID;
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_barang.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#t_kodest").val(kode);
				$("#t_namast").val(data.namast);
				$("#form_cari_barang").dialog('close');
				$("#txt_caribr").val('');
			}
		});
	}

</script>
<?php
include '../../inc/inc.koneksi.php';
$cari	= $_GET['cari'];

echo "<table id='theList' class='barang' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Barang</th>
			<th>Nama Barang</th>
			<th>Barcode</th>
			<th>Satuan</th>
			<th>Harga Beli</th>
			<th>Ambil</th>
		</tr>";
		if (!empty($cari))
			$sql = "SELECT * FROM stock WHERE kode_st LIKE '%$cari%' OR nama_st LIKE '%$cari%' ORDER BY kode_st";
		else
			$sql = "SELECT * FROM stock ORDER BY kode_st";
			
		$query = mysql_query($sql);
		$jml_data = mysql_num_rows($query);
		$no=1;
		while($r=mysql_fetch_array($query)){
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r[kode_st]</td>
				<td>$r[nama_st]</td>
				<td>$r[barcode]</td>
				<td>$r[satuan]</td>
				<td align='right'>".number_format($r['hb_akhir'],2)."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"pilih('$r[kode_st]')\">
					<img src='icon/download.gif' border='0' id='tambah_data' title='Tambah' width='12' height='12' >
					</a>					
				</td>
			</tr>";
			$no++;			
		}
	echo "</table>";
?>